%define _mobile     0
%define _xbase      0
%define _postgresql 1

%define develname %mklibname -d calligra

Name:           calligra
Version: 	3.1.0
Release:        %mkrel 1
Summary:        Set of office applications for KDE
Group:          Graphical desktop/KDE5
License:        GPLv2+ and GFDL and LGPLv2
URL:            http://www.calligra.org
Source:         http://download.kde.org/stable/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: binutils
BuildRequires: cmake 
BuildRequires: eigen3 
BuildRequires: lib64boost-devel 
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel 
BuildRequires: lib64gsl-devel 
BuildRequires: lib64ical-devel 
BuildRequires: lib64ilmbase-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kdiagram-devel 
BuildRequires: lib64kf5activities-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5guiaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5jobwidgets-devel 
BuildRequires: lib64kf5kcmutils-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5khtml-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5notifyconfig-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5wallet-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64lcms2-devel
BuildRequires: lib64poppler-devel
BuildRequires: lib64poppler-qt5-devel 
BuildRequires: lib64qca2-qt5-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5qml-devel 
BuildRequires: lib64qt5quick-devel 
BuildRequires: lib64qt5sql-devel 
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5webkit-devel 
BuildRequires: lib64qt5webkitwidgets-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5x11extras-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64revenge-devel
BuildRequires: lib64wpg-devel 
BuildRequires: mesa-devel 
BuildRequires: phonon4qt5-devel 
BuildRequires: phonon-devel 
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel 
BuildRequires: zlib1-devel 
BuildRequires: sonnet
BuildRequires: %{_lib}kf5kross-devel
BuildRequires: %{_lib}kf5threadweaver-devel


%description
Office applications for the K Desktop Environment.

Calligra contains:
   * Words: word processor
   * Sheets: spreadsheet
   * Stage: presentations
   * Flow: diagram generator
   * Some filters (Excel 97, Winword 97/2000, etc.)
   * karbon: the scalable vector drawing application for KDE.
   * plan: a project management.
   * kexi: an integrated data management application.
   * Gemini: office suite for 2-in-1 devices

*BETA*

%files
%{_sysconfdir}/xdg/calligra_stencils.knsrc
%{_sysconfdir}/xdg/calligrasheetsrc
%{_sysconfdir}/xdg/calligrastagerc
%{_sysconfdir}/xdg/calligrawordsrc
%{_sysconfdir}/xdg/karbonrc

%{_bindir}/calligra
%{_bindir}/calligraconverter
%{_bindir}/calligrasheets
%{_bindir}/calligrawords
%{_bindir}/calligragemini
%{_bindir}/calligrageminithumbnailhelper
%{_bindir}/cstester
%{_bindir}/cstrunner
%{_bindir}/karbon
%{_bindir}/visualimagecompare

%{_libdir}/libRtfReader.so.*
%{_libdir}/libbasicflakes.so.*
%{_libdir}/libcalligrasheetscommon.so.*
%{_libdir}/libcalligrasheetsodf.so.*
%{_libdir}/libcalligrastageprivate.so.*
%{_libdir}/libflake.so.*
%{_libdir}/libgemini.so.*
%{_libdir}/libkarboncommon.so.*
%{_libdir}/libkarbonui.so.*
%{_libdir}/libkoformula.so.*
%{_libdir}/libkomain.so.*
%{_libdir}/libkomsooxml.so.*
%{_libdir}/libkoodf.so.*
%{_libdir}/libkoodf2.so.*
%{_libdir}/libkoodfreader.so.*
%{_libdir}/libkopageapp.so.*
%{_libdir}/libkoplugin.so.*
%{_libdir}/libkostore.so.*
%{_libdir}/libkotext.so.*
%{_libdir}/libkotextlayout.so.*
%{_libdir}/libkovectorimage.so.*
%{_libdir}/libkoversion.so.*
%{_libdir}/libkowidgets.so.*
%{_libdir}/libkowidgetutils.so.*
%{_libdir}/libkowv2.so.*
%{_libdir}/libkundo2.so.*
%{_libdir}/libpigmentcms.so.*
%{_libdir}/libwordsprivate.so.*

%{_libdir}/libkdeinit5_calligrasheets.so
%{_libdir}/libkdeinit5_calligrawords.so
%{_libdir}/libkdeinit5_karbon.so

%{_libdir}/qt5/plugins
%{_libdir}/qt5/qml
%{_datadir}

#%{_libdir}/libkookularGenerator_odp.so.*
#%{_libdir}/libkookularGenerator_odt.so.*
   
   
%package -n %{develname}
Summary:	Header files for development with %name
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package is only needed if you intend to develop or compile applications
which rely on the Calligra library. If you simply want to run existing
applications, you won't need this package

%files -n %{develname}
%{_libdir}/libRtfReader.so
%{_libdir}/libbasicflakes.so 
%{_libdir}/libcalligrasheetscommon.so 
%{_libdir}/libcalligrasheetsodf.so 
%{_libdir}/libcalligrastageprivate.so 
%{_libdir}/libflake.so 
%{_libdir}/libgemini.so
%{_libdir}/libkarboncommon.so 
%{_libdir}/libkarbonui.so 
%{_libdir}/libkoformula.so 
%{_libdir}/libkomain.so 
%{_libdir}/libkomsooxml.so 
%{_libdir}/libkoodf.so 
%{_libdir}/libkoodf2.so 
%{_libdir}/libkoodfreader.so 
%{_libdir}/libkopageapp.so 
%{_libdir}/libkoplugin.so 
%{_libdir}/libkostore.so 
%{_libdir}/libkotext.so 
%{_libdir}/libkotextlayout.so 
%{_libdir}/libkovectorimage.so 
%{_libdir}/libkoversion.so 
%{_libdir}/libkowidgets.so 
%{_libdir}/libkowidgetutils.so 
%{_libdir}/libkowv2.so 
%{_libdir}/libkundo2.so 
%{_libdir}/libpigmentcms.so 
%{_libdir}/libwordsprivate.so
#%{_libdir}/libkookularGenerator_odp.so
#%{_libdir}/libkookularGenerator_odt.so

%prep
%setup -qn calligra-%{version}

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5 -DPACKAGERS_BUILD=ON
%make

%install
rm -rf %buildroot
%make_install -C build

# remove as it should be in krita package
find %buildroot -name "krita.mo" | xargs rm -fv
find %buildroot -name "org.kde.krita.appdata.mo" | xargs rm -fv
find %buildroot -name "desktop_calligra_krita.mo" | xargs rm -fv
# remove as it should be in kexi package
find %buildroot -name "kexi.mo" | xargs rm -fv
find %buildroot -name "kexiforms_mapwidgetplugin.mo" | xargs rm -fv
find %buildroot -name "kexiforms_webbrowserwidgetplugin.mo" | xargs rm -fv
find %buildroot -name "keximigrate_spreadsheet.mo" | xargs rm -fv
find %buildroot -name "org.kde.kexi.appdata.mo" | xargs rm -fv
find %buildroot -name "json_calligra_kexi.mo" | xargs rm -fv
find %buildroot -name "keximigrate_mdb.mo" | xargs rm -fv
find %buildroot -name "org.kde.kexi.appdata.mo" | xargs rm -fv
find %buildroot -name "desktop_calligra_kexi.mo" | xargs rm -fv
# NOTE: reenable if/when again available
find %buildroot -name "braindump.mo" | xargs rm -fv
find %buildroot -name "flow.mo" | xargs rm -fv
find %buildroot -name "org.kde.braindump.appdata.mo" | xargs rm -fv
find %buildroot -name "org.kde.calligraflow.appdata.mo" | xargs rm -fv




%changelog
* Fri Feb 02 2018 pp <pp> 3.1.0-1pclos2018
- update
- added new Gemini

* Sat Nov 25 2017 ghostbunny <ghostbunny at gmx dot de> 3.0.1-2pclos2017
- rebuild against new poppler 0.61.1

* Sun Oct 01 2017 ghostbunny <ghostbunny at gmx dot de> 3.0.1-1pclos2017
- 3.0.1 and rebuild against new poppler version
- add missing BR sonnet, libkf5kross-devel, libkf5threadweaver-devel

* Tue Mar 14 2017 bb2 <bb2> - 3.0.0.1-1pclos2017
- rebuild for new poppler

* Wed Jan 04 2017 bb <bb> - 3.0.0-4pclos2017
- rebuild with gsl 2.3

* Tue Jan 03 2017 bb <bb> - 3.0.0-3pclos2017
- new version use 3.0.0.1 tarball

* Mon Jan 02 2017 bb <bb> 3.0.0-2pclos2017
- update file list

* Mon Jan 02 2017 bb <bb> 3.0.0-1pclos2017
- update

